/* $Id: CellPositionTest.java,v 1.4 2007/11/28 17:49:42 ekstrand Exp $ */

package csci1902.hw6.game;

import junit.framework.TestCase;

public class CellPositionTest extends TestCase {
    private Board.Config config;
    
    protected void setUp() {
        config = new Board.Config(4, 8, 4);
    }
    
    public void testConstructorSimple() {
        CellPosition pos = new CellPosition(config, 2,7);
        assertEquals(2, pos.row);
        assertEquals(7, pos.column);
        
        pos = new CellPosition(config, 0,0);
        assertEquals(0, pos.row);
        assertEquals(0, pos.column);
    }
    
    public void testWrap() {
        CellPosition pos = new CellPosition(config, 3, 10);
        assertEquals(3, pos.row);
        assertEquals(2, pos.column);
    }
    
    public void testEquals() {
        CellPosition pos = new CellPosition(config, 2,5);
        assertEquals(new CellPosition(config, 2,5), pos);
        assertFalse(pos.equals(new CellPosition(config, 3,8)));
        assertEquals(pos, new CellPosition(config, 2,13));
    }
}
