/* $Id: PlayerID.java,v 1.4 2007/11/28 17:49:42 ekstrand Exp $ */

package csci1902.hw6.game;

/**
 * Represents a player's identifier (X or O).
 * @author Michael Ekstrand <ekstrand@cs.umn.edu>
 */
public enum PlayerID {
    X,
    O;

    /**
     * Get the other player.
     * @return X if invoked on O; O if invoked on X.
     */
    public PlayerID otherPlayer() {
        switch (this) {
        case X:
            return PlayerID.O;
        case O:
            return PlayerID.X;
        default:
            return null;
        }
    }
}
